Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBI.pm) perl(DBIx/Class/Schema/Loader.pm) perl(File/Find/Rule.pm) perl(IO/Zlib.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-BackPAN-Index
Version:        0.42
Release:        alt1_16
Summary:        Interface to the BackPAN index
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/BackPAN-Index
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/BackPAN-Index-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(App/Cache.pm)
BuildRequires:  perl(Archive/Extract.pm)
BuildRequires:  perl(autodie.pm)
BuildRequires:  perl(CLASS.pm)
BuildRequires:  perl(CPAN/DistnameInfo.pm)
BuildRequires:  perl(DBD/SQLite.pm)
BuildRequires:  perl(DBIx/Class.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(File/Spec/Unix.pm)
BuildRequires:  perl(LWP/Simple.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Mouse.pm)
BuildRequires:  perl(parent.pm)
BuildRequires:  perl(Path/Class.pm)
BuildRequires:  perl(Test/Compile.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(URI.pm)
Requires:       perl(CLASS.pm) >= 1.0
Requires:       perl(DBD/SQLite.pm) >= 1.250
Requires:       perl(DBIx/Class.pm) >= 0.081.090
Requires:       perl(Path/Class.pm) >= 0.170

# Parse::BACKPAN::Packages is deprecated in favor of BackPAN::Index
Obsoletes:      perl-Parse-BACKPAN-Packages <= 0.35

%{echo 
%filter_from_requires /perl.CLASS.pm.$/d;/perl.Path.Class.pm.$/d

}

Source44: import.info

%description
This downloads, caches and parses the BackPAN index into a local database
for efficient querying.

%prep
%setup -q -n BackPAN-Index-%{version}

sed -i -e '1s~^#!.*perl~#!%{__perl}~' examples/backpan.pl

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
BACKPAN_INDEX_TEST_NO_INTERNET=1 ./Build test

%files
%doc CHANGES examples LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_16
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_15
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_14
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_13
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_12
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_10
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_8
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_7
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_5
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_4
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_3
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_2
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.42-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.40-alt1_7
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.40-alt1_4
- fc import

